NX Open C++ Reference Guide
|
Represents a louver feature builder. More...
Public Types | |
enum | DepthSideOptions { DepthSideOptionsSectionNormalSide, DepthSideOptionsSectionReverseNormalSide } |
This enum represents the depth side for the louver. More... | |
enum | EndTypeOptions { EndTypeOptionsFormed, EndTypeOptionsLanced } |
This enum represents the end type for the louver. More... | |
enum | SectionSideOptions { SectionSideOptionsLeft, SectionSideOptionsRight } |
This enum represents the side of the section that the louver width is measured. More... | |
Public Member Functions | |
NXOpen::Expression * | Depth () |
Returns the depth of the louver Created in NX4.0.0. | |
NXOpen::Features::SheetMetal::LouverBuilder::DepthSideOptions | DepthSide () |
Returns the depth side for the louver. | |
NXOpen::Expression * | DieRadius () |
Returns the die radius. | |
NXOpen::Features::SheetMetal::LouverBuilder::EndTypeOptions | EndType () |
Returns the end type for the louver. | |
bool | IncludeRounding () |
Returns the option to round the edges of the louver using the die radius. | |
NXOpen::Expression * | MinimumToolClearance () |
Returns the minimum tool clearance expression. | |
NXOpen::Section * | Section () |
Returns the section used by the louver. | |
NXOpen::Features::SheetMetal::LouverBuilder::SectionSideOptions | SectionSide () |
Returns the side of the section on which the louver is created and width is measure. | |
void | SetDepth (const NXString &depth) |
Created in NX4.0.0. | |
void | SetDepth (const char *depth) |
Created in NX4.0.0. | |
void | SetDepthSide (NXOpen::Features::SheetMetal::LouverBuilder::DepthSideOptions depthSide) |
Sets the depth side for the louver. | |
void | SetDieRadius (const NXString &dieRadius) |
Created in NX4.0.0. | |
void | SetDieRadius (const char *dieRadius) |
Created in NX4.0.0. | |
void | SetEndType (NXOpen::Features::SheetMetal::LouverBuilder::EndTypeOptions endType) |
Sets the end type for the louver. | |
void | SetIncludeRounding (bool includeRounding) |
Sets the option to round the edges of the louver using the die radius. | |
void | SetSection (NXOpen::Section *section) |
Sets the section used by the louver. | |
void | SetSectionSide (NXOpen::Features::SheetMetal::LouverBuilder::SectionSideOptions sectionSide) |
Sets the side of the section on which the louver is created and width is measure. | |
void | SetSketch (NXOpen::Features::SketchFeature *sketch) |
Sets the internal sketch used by the louver's section. | |
void | SetWidth (const NXString &width) |
Created in NX4.0.0. | |
void | SetWidth (const char *width) |
Created in NX4.0.0. | |
NXOpen::Features::SketchFeature * | Sketch () |
Returns the internal sketch used by the louver's section. | |
int | ValidateBuilderData () |
This method verifies that the builder data is valid for louver creation. | |
NXOpen::Expression * | Width () |
Returns the width of the louver. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a louver feature builder.
To create a new instance of this class, use Features::SheetMetal::SheetmetalManager::CreateLouverFeatureBuilder
Created in NX4.0.0.
This enum represents the side of the section that the louver width is measured.
The "left" option represents the side to the left of a person who is walking along the section in the direction of its curves when the section normal is pointing up. The "right" option represents the person's right hand side. The "right" side at any point along the section can also be represented by the vector resulting from the cross product of the curve tangent (of the section curve at that point) and the section normal. The "left" side is the opposite.
NXOpen::Expression* NXOpen::Features::SheetMetal::LouverBuilder::Depth | ( | ) |
Returns the depth of the louver
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Features::SheetMetal::LouverBuilder::DepthSideOptions NXOpen::Features::SheetMetal::LouverBuilder::DepthSide | ( | ) |
Returns the depth side for the louver.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::LouverBuilder::DieRadius | ( | ) |
Returns the die radius.
Not used if Features::SheetMetal::LouverBuilder::IncludeRounding is false.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Features::SheetMetal::LouverBuilder::EndTypeOptions NXOpen::Features::SheetMetal::LouverBuilder::EndType | ( | ) |
Returns the end type for the louver.
Select lanced end or formed end from Features::SheetMetal::LouverBuilder::EndTypeOptions .
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
bool NXOpen::Features::SheetMetal::LouverBuilder::IncludeRounding | ( | ) |
Returns the option to round the edges of the louver using the die radius.
If this is false, then the value of Features::SheetMetal::LouverBuilder::DieRadius is not used.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::LouverBuilder::MinimumToolClearance | ( | ) |
Returns the minimum tool clearance expression.
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Section* NXOpen::Features::SheetMetal::LouverBuilder::Section | ( | ) |
Returns the section used by the louver.
The section should be open.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Features::SheetMetal::LouverBuilder::SectionSideOptions NXOpen::Features::SheetMetal::LouverBuilder::SectionSide | ( | ) |
Returns the side of the section on which the louver is created and width is measure.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
void NXOpen::Features::SheetMetal::LouverBuilder::SetDepth | ( | const NXString & | depth | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
depth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::LouverBuilder::SetDepth | ( | const char * | depth | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
depth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::LouverBuilder::SetDepthSide | ( | NXOpen::Features::SheetMetal::LouverBuilder::DepthSideOptions | depthSide | ) |
Sets the depth side for the louver.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
depthSide | depth side |
void NXOpen::Features::SheetMetal::LouverBuilder::SetDieRadius | ( | const NXString & | dieRadius | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
dieRadius | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::LouverBuilder::SetDieRadius | ( | const char * | dieRadius | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
dieRadius | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::LouverBuilder::SetEndType | ( | NXOpen::Features::SheetMetal::LouverBuilder::EndTypeOptions | endType | ) |
Sets the end type for the louver.
Select lanced end or formed end from Features::SheetMetal::LouverBuilder::EndTypeOptions .
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
endType | end type |
void NXOpen::Features::SheetMetal::LouverBuilder::SetIncludeRounding | ( | bool | includeRounding | ) |
Sets the option to round the edges of the louver using the die radius.
If this is false, then the value of Features::SheetMetal::LouverBuilder::DieRadius is not used.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
includeRounding | include rounding |
void NXOpen::Features::SheetMetal::LouverBuilder::SetSection | ( | NXOpen::Section * | section | ) |
Sets the section used by the louver.
The section should be open.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
section | section |
void NXOpen::Features::SheetMetal::LouverBuilder::SetSectionSide | ( | NXOpen::Features::SheetMetal::LouverBuilder::SectionSideOptions | sectionSide | ) |
Sets the side of the section on which the louver is created and width is measure.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
sectionSide | section side |
void NXOpen::Features::SheetMetal::LouverBuilder::SetSketch | ( | NXOpen::Features::SketchFeature * | sketch | ) |
Sets the internal sketch used by the louver's section.
<br> If the sketch is created internally as part of the louver command in the UI, then it is consumed by the louver and does not show up as a seperate feature in the part navigator. By setting the sketch object here, you will be making it internal to the louver feature. <br>
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
sketch | sketch |
void NXOpen::Features::SheetMetal::LouverBuilder::SetWidth | ( | const NXString & | width | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
width | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::LouverBuilder::SetWidth | ( | const char * | width | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
width | NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::LouverBuilder::Sketch | ( | ) |
Returns the internal sketch used by the louver's section.
<br> If the sketch is created internally as part of the louver command in the UI, then it is consumed by the louver and does not show up as a seperate feature in the part navigator. By setting the sketch object here, you will be making it internal to the louver feature. <br>
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
int NXOpen::Features::SheetMetal::LouverBuilder::ValidateBuilderData | ( | ) |
This method verifies that the builder data is valid for louver creation.
<br> If the builder data is valid, it returns a value of 0. <br> @return data validity flag
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::LouverBuilder::Width | ( | ) |
Returns the width of the louver.
The side of the section that the width is measured from depends on the value of the section side (see Features::SheetMetal::LouverBuilder::SectionSide ).
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")